[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
		}
	}
}

.spoilers {

	&__item {
        color: #383838;
        line-height: 1.45;
        font-size: rem(14);
        background: $white;
		margin: 0 0 rem(2) 0;

		&.open {

			.spoilers__icon {
				transform: rotate(-45deg);
				transition: .3s;
			}
		}
	}

	&__header {
		width: 100%;
        color: #383838;
		cursor: pointer;
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		padding: rem(20) rem(60) rem(20) rem(20);
		border: none;
		outline: none;
		text-align: left;
		background: transparent;
		font-weight: 400;
		font-size: rem(18);
		line-height: 1.35;
	}

	&__title {
		display: block;
		padding-right: rem(8);
	}

	&__icon {
        z-index: 20;
        top: calc(50% - 1.25rem);
        right: rem(8);
		font-size: 0;
		line-height: 0;
		width: rem(40);
        height: rem(40);
        border-radius: 50%;
        position: absolute;
		display: flex;
        align-items: center;
        justify-content: center;
		transition: .3s;
		fill: #000;
		flex-shrink: 0;

        i {
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
        }

        &:hover {
            background-color: rgba(239,239,239,1);
            transition: .3s;
        }
	}

	&__content {
	}

	&__wrap {
		padding: 0 rem(20) rem(20) rem(20);
	}

    @include media-breakpoint-up(md) {

        &__item {
            font-size: rem(16);
        }

        &__header {
            font-weight: 700;
            font-size: rem(24);
            padding-left: rem(24);
        }

        &__wrap {
            padding-left: rem(24);
            padding-right: rem(24);
        }
    }
}
